# Get-RASAgentDiagnostic.md

## NAME

Get-RASAgentDiagnostic

## SYNOPSIS

Retrieves RAS Agent Diagnostic information.

## SYNTAX

\*\*Get-RASAgentDiagnostic -[AgentDiagnosticType](#AgentDiagnosticType) {RDS | Provider | Gateway | Guest | Broker | PA | HALBDevice | EnrollmentServer} -[Server](#server-string) *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the diagnostic information about the RAS Agent installed on a specific server, for diagnostic purposes, with a specific type, such as

RD Session Host, Provider, Gateway, Guest, Broker, HALB Device.

## PARAMETERS

## Server (string)

The name of server from which to retrieve Agent information.

This must be the actual server name used in the RAS farm.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the specified Agent information.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AgentDiagnosticType

([RASAgentDiagnosticType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasagentdiagnostictype.md)) Specifies the server type for which to retrieve the information.

Possible values: RDS, Provider, Gateway, Guest, Broker, PA, HALBDevice, EnrollmentServer

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[BrokerAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/brokeragentdiagnostic.md)

[EnrollmentServerAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/enrollmentserveragentdiagnostic.md)

[GatewayAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/gatewayagentdiagnostic.md)

[GuestAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/guestagentdiagnostic.md)

[HALBDeviceAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/halbdeviceagentdiagnostic.md)

[ProviderAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/provideragentdiagnostic.md)

[RDSAgentDiagnostic](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdsagentdiagnostic.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAgentDiagnostic -Server test.domain -ServerType RDS

Retrieves the information about the RDS Agent installed on the server 'test.domain'.\
\*\*---------- EXAMPLE 2 ----------

Get-RASAgentDiagnostic -Server test.domain -ServerType Provider

Retrieves the information about the Provider Agent installed on the server 'test.domain'.

## RELATED LINKS

* [Get-RASAgent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasagent.md)
* [Update-RASAgent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/update-rasagent.md)
* [Remove-RASAgent](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasagent.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasagentdiagnostic.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
